# logrotate Cookbook CHANGELOG

This file is used to list changes made in each version of the logrotate cookbook

## 2.2.2 (2019-10-01)

- Update build badge with chef-cookbooks namespace - [@jasonwbarnett](https://github.com/jasonwbarnett)
- Use our standard delivery config and stop testing with Foodcritic - [@tas50](https://github.com/tas50)
- Switch the maintainer over to Chef Software - [@tas50](https://github.com/tas50)
- Remove deprecated metadata fields - [@tas50](https://github.com/tas50)
- Remove ChefSpec matchers that are autogenerated now - [@tas50](https://github.com/tas50)
- Use Ubuntu 18.04 in the specs not 16.04 - [@tas50](https://github.com/tas50)
- Update the kitchen configs with the latest platforms - [@tas50](https://github.com/tas50)
- Add updated testing.md and contributing.md files - [@tas50](https://github.com/tas50)

## 2.2.1 (2019-10-01)

- Avoid deprecation warnings in the chefspecs - [@tas50](https://github.com/tas50)
- Resolve foodcritic license warning - [@tas50](https://github.com/tas50)
- There's no need to define a default action in a custom resource - [@tas50](https://github.com/tas50)
- Move templates out of default dir and remove node name - [@tas50](https://github.com/tas50)
- Remove the mention of Ruby 2.0 in the contributing docs - [@tas50](https://github.com/tas50)
- Add initial kitchen-dokken config - [@tas50](https://github.com/tas50)
- Use our standard chefignore file - [@tas50](https://github.com/tas50)
- Rename fake recipe to test and definitions -> resources - [@tas50](https://github.com/tas50)
- Convert to inspec from serverspec - [@tas50](https://github.com/tas50)
- Remove the default test kitchen suite since global includes it - [@tas50](https://github.com/tas50)
- Remove references to the definition from the metadata - [@tas50](https://github.com/tas50)
- Expand platforms we test on in Test Kitchen - [@tas50](https://github.com/tas50)
- Remove unused prep recipe - [@tas50](https://github.com/tas50)
- Add suse platforms to the metadata now that we test them - [@tas50](https://github.com/tas50)
- Format readme and remove references to the definition - [@tas50](https://github.com/tas50)
- Fix alignment for multiple scripts - [@shoekstra](https://github.com/shoekstra)
- Ignore FC109 - [@shoekstra](https://github.com/shoekstra)
- Update /var/log/btmp default permissions - [@jasonwbarnett](https://github.com/jasonwbarnett)

v2.2.0
------
# Compatibility Notes

The `compat_resource` dependency was removed. This means we now
require Chef 12.5 or higher. It also means we now better support Chef
13.

# Enhancements

- The global configuration now supports scripts.
- The package install action (upgrade by default) is now configurable
  via an attribute.
- The development environment now more closely follows modern cookbook
  practices.

# Bug Fixes

- ChefSpec matcher now correctly calls ChefSpec.define_matcher.
-
# Contributors

- Austin Heiman
- Baptiste Courtois
- Bogdan Katynski
- Thomas Dziedzic
- Tim Smith

v2.1.0
------

# Bug Fixes

- Restore `cookbook` parameter for `logrotate_app` resource due to
  popular demand.

- Add a `template_name` parameter to replace the 1.x `template`
  parameter. The name `template` can't be used inside a resource
  without conflicting with an attribute of the same name.

- Fix exception when `options` specified as a string rather than an
  array

v2.0.0
------

- Convert the logrotate_app definition to a resource
- Accept all options included in logrotate 3.9.2

# Known incompatibilities

- The `cookbook` parameter to `logrotate_app` is no longer accepted.


v1.9.2
------

## Bug Fixes

- Fix deprecation warnings from ChefSpec

v1.9.1
------

## Bug Fixes

- Fixes regression in the sharedscripts logrotate_app
  parameter (Bug #69)

v1.9.0
------

### Improvements

- All configuration options from the logrotate 3.8.8 manual page can
be used by the global configuration and the logrotate_app
definition.

- Berkshelf is no longer a development dependency of the
logrotate cookbook.

- Rubocop lint failures have been resolved.




v1.8.0
------

### Resolved Bugs

- `su` parameter now supported in global config.

### Improvements

- firstaction and lastaction attributes documented in the README
- rotate attribute documented in the README
- Use hash-rocket syntax in rspec matcher to maintain 1.9 support.

v1.7.0
------

### Bugs

- Use `raise` rather than Application.fatal! to prevent killing a
  daemonized chef-client

### Improvements

- Chefspec matcher for logrotate_app definition
- Support the following options: compressoptions, maxage,
  shred/shredcycles, extension, tabooext
- Add Solaris support


v1.6.0
------

### Bugs

- Fix documentation error

### Improvements

- Support for options "compresscmd", "uncompresscmd", "compressext"
- Allow nodateext as parameter for logrotate_app definition
- Move to chefspec ~> 3.0

v1.5.0
------

### Bugs
- Fix missing end tag in template
- Don't re-initialize constants.
- Fix rubocop finding

### Improvements
- [COOK-3911] Allow to use maxsize parameter.
- [COOK-4000] Allow to use dateyesterday option.
- [COOK-4024] Allow to use su parameter.
- [COOK-4175] Allows use of the dateformat parameter.
- Loosen test-kitchen version constraint
- Add rvm files to gitignore


v1.4.0
------
### Bug
- **[COOK-3632](https://tickets.chef.io/browse/COOK-3632)** - Raise Exception when adding more than one invalid option
- **[COOK-3141](https://tickets.chef.io/browse/COOK-3141)** - Do not duplicate template entires for multiple paths
- **[COOK-3034](https://tickets.chef.io/browse/COOK-3034)** - Update logrotate_app params to accept arrays and strings

### Improvement
- **[COOK-2646](https://tickets.chef.io/browse/COOK-2646)** - Add ability to choose file mode for logrotate template

v1.3.0
------
### Improvement
- **[COOK-3341](https://tickets.chef.io/browse/COOK-3341)** - Add optional `frequency` and `rotate` params when defined globally
- **[COOK-3298](https://tickets.chef.io/browse/COOK-3298)** - Use `Array` instead of `respond_to?(:each)`
- **[COOK-3285](https://tickets.chef.io/browse/COOK-3285)** - Change `logrotate.d` config file mode to `0644`
- **[COOK-3250](https://tickets.chef.io/browse/COOK-3250)** - Add `minsize`

### Bug
- **[COOK-3274](https://tickets.chef.io/browse/COOK-3274)** - Fix README typo that suggested the opposite action

### New Feature
- **[COOK-2923](https://tickets.chef.io/browse/COOK-2923)** - Add `olddir` option
- **[COOK-1651](https://tickets.chef.io/browse/COOK-1651)** - Add `dateext` ability

v1.2.2
-----
### Bug
- [COOK-2872]: Add firstaction/lastaction ability to logrotate
- [COOK-2908]: Argument error in `logrotate_app` definition

v1.2.0
-----
- [COOK-2401] - Add the ability to manage the global logrotate configuration

v1.1.0
-----
- [COOK-2218] - Logrotate size parameter

v1.0.2
-----
- [COOK-1027] - Add support for pre-/post-rotate commands
- [COOK-1338] - Update log rotate for more flexibility of rotate options
- [COOK-1598] - "Create" isn't a mandatory option
